<?php


namespace OTP\Helper;

if (defined("\x41\102\123\120\x41\124\110")) {
    goto hE;
}
die;
hE:
use OTP\Objects\IGatewayFunctions;
use OTP\Objects\NotificationSettings;
use OTP\Traits\Instance;
class GatewayFunctions implements IGatewayFunctions
{
    use Instance;
    private $gateway;
    private $pluginTypeToClass = array("\x4d\151\156\x69\117\162\x61\156\147\145\x47\x61\x74\x65\167\141\171" => "\117\x54\x50\x5c\x48\145\x6c\160\x65\162\134\115\151\x6e\x69\x4f\x72\x61\x6e\x67\x65\107\x61\x74\145\167\x61\171", "\103\165\x73\164\157\x6d\x47\x61\x74\x65\x77\x61\171\127\151\164\x68\x41\144\x64\x6f\x6e\163" => "\x4f\124\120\134\110\145\x6c\x70\145\162\134\x43\x75\x73\x74\157\155\107\x61\x74\145\x77\x61\x79\x57\x69\164\150\x41\x64\x64\x6f\x6e\163", "\x43\165\163\x74\157\155\x47\x61\x74\145\x77\x61\171\x57\x69\164\x68\x6f\165\164\101\x64\x64\157\x6e\163" => "\117\x54\120\134\110\x65\154\x70\x65\x72\134\x43\x75\x73\164\157\x6d\x47\x61\x74\x65\167\141\171\127\x69\164\150\x6f\165\x74\101\x64\144\157\156\163", "\124\167\x69\x6c\151\157\107\x61\164\x65\x77\141\171\127\x69\x74\x68\101\144\x64\x6f\x6e\x73" => "\117\x54\120\x5c\x48\x65\154\160\145\162\x5c\124\x77\151\x6c\151\157\107\x61\164\x65\x77\x61\x79\127\151\164\x68\101\144\x64\157\156\x73");
    public function __construct()
    {
        $Bc = $this->pluginTypeToClass[MOV_TYPE];
        $this->gateway = $Bc::instance();
    }
    public function isMG()
    {
        return $this->gateway->isMG();
    }
    public function loadAddons($Ye)
    {
        $this->gateway->loadAddons($Ye);
    }
    function registerAddOns()
    {
        $this->gateway->registerAddOns();
    }
    public function showAddOnList()
    {
        $this->gateway->showAddOnList();
    }
    function hourlySync()
    {
        $this->gateway->hourlySync();
    }
    public function custom_wp_mail_from_name($qQ)
    {
        return $this->gateway->custom_wp_mail_from_name($qQ);
    }
    public function flush_cache()
    {
        $this->gateway->flush_cache();
    }
    public function _vlk($post)
    {
        $this->gateway->_vlk($post);
    }
    public function _mo_configure_sms_template($t5)
    {
        $this->gateway->_mo_configure_sms_template($t5);
    }
    public function _mo_configure_email_template($t5)
    {
        $this->gateway->_mo_configure_email_template($t5);
    }
    public function mo_send_otp_token($op, $R7, $s9)
    {
        return $this->gateway->mo_send_otp_token($op, $R7, $s9);
    }
    public function mclv()
    {
        return $this->gateway->mclv();
    }
    public function showConfigurationPage($GV)
    {
        $this->gateway->showConfigurationPage($GV);
    }
    public function mo_validate_otp_token($R_, $qG)
    {
        return $this->gateway->mo_validate_otp_token($R_, $qG);
    }
    public function mo_send_notif(NotificationSettings $n2)
    {
        return $this->gateway->mo_send_notif($n2);
    }
    public function getApplicationName()
    {
        return $this->gateway->getApplicationName();
    }
    public function getConfigPagePointers()
    {
        return $this->gateway->getConfigPagePointers();
    }
}
